//------------------------------------------------------
// File Name        : SIPO.v
// Author           : ChanRa1n
// Description      : A easy PISO code
// Called by        : TopModule
// Revision History : 2022-04-21
// Revision         : 1.0
// Email            : chenyu@myfpga.cn
// Copyright(c) 2018-Now, MYFPGA.CN, All right reserved.
//------------------------------------------------------

module SIPO (
    input   wire   [0:0]   Sys_clk,
    input   wire   [0:0]   Sys_rst_n,
    input   wire   [0:0]   Sig_si,
    input   wire   [0:0]   Sig_si_en,
    output  wire   [7:0]   Sig_po
);
    reg   [7:0]   Sig_po_reg;
    assign Sig_po = Sig_po_reg;
    
    always@(posedge Sys_clk or negedge Sys_rst_n)begin
        if(~Sys_rst_n)begin
            Sig_po_reg <= 8'd0;
        end
        else begin
            if(Sig_si_en)begin
                Sig_po_reg <= {Sig_po_reg[6:0],Sig_si} ;
            end
            else begin
                Sig_po_reg <= Sig_po_reg ;
            end
        end
    end

endmodule